Package org.drinkless.tdlib

# Class TdApi.ChatMembers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatMembers

Enclosing class:
  TdApi

public static class TdApi.ChatMembers extends TdApi.Object
Contains a list of chat members.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatMember[]`
  `members`
  A list of chat members.
  `int`
  `totalCount`
  Approximate total number of chat members found.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatMembers()`
  Contains a list of chat members.
  `ChatMembers(int totalCount, TdApi.ChatMember[] members)`
  Contains a list of chat members.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Approximate total number of chat members found.

  - ### members

    public TdApi.ChatMember[] members
    A list of chat members.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatMembers

    public ChatMembers()
    Contains a list of chat members.

  - ### ChatMembers

    public ChatMembers(int totalCount, TdApi.ChatMember[] members)
    Contains a list of chat members.
    Parameters:
      `totalCount` - Approximate total number of chat members found.
      `members` - A list of chat members.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR